package mysql

// Framework code is generated by the generator.

import (
	"testing"

	"github.com/bytebase/bytebase/plugin/advisor"
)

func TestColumnDisallowChangingType(t *testing.T) {
	tests := []advisor.TestCase{
		{
			Statement: `ALTER TABLE tech_book MODIFY id int`,
			Want: []advisor.Advice{
				{
					Status:  advisor.Success,
					Code:    advisor.Ok,
					Title:   "OK",
					Content: "",
				},
			},
		},
		{
			Statement: `ALTER TABLE tech_book MODIFY id bigint`,
			Want: []advisor.Advice{
				{
					Status:  advisor.Warn,
					Code:    advisor.ChangeColumnType,
					Title:   "column.disallow-change-type",
					Content: "\"ALTER TABLE tech_book MODIFY id bigint\" changes column type",
					Line:    1,
				},
			},
		},
		{
			Statement: `ALTER TABLE tech_book CHANGE name uname varchar(20)`,
			Want: []advisor.Advice{
				{
					Status:  advisor.Warn,
					Code:    advisor.ChangeColumnType,
					Title:   "column.disallow-change-type",
					Content: "\"ALTER TABLE tech_book CHANGE name uname varchar(20)\" changes column type",
					Line:    1,
				},
			},
		},
	}

	advisor.RunSQLReviewRuleTests(t, tests, &ColumnDisallowChangingTypeAdvisor{}, &advisor.SQLReviewRule{
		Type:    advisor.SchemaRuleColumnDisallowChangeType,
		Level:   advisor.SchemaRuleLevelWarning,
		Payload: "",
	}, advisor.MockMySQLDatabase)
}
